<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

load_language('plugin.lang', SQUARE_THUMB_PATH);

// Insert param in DB if not exists
if (!isset($conf['upload_form_thumb_square']))
{
  mass_inserts(
    CONFIG_TABLE,
    array('param', 'value'),
    array(
      array(
        'param' => 'upload_form_thumb_square',
        'value' => 'false'
        )
      )
    );
}

// Update param on submit
if (isset($_POST['submit']))
{
  $conf['upload_form_thumb_square'] = isset($_POST['square']);

  mass_updates(
    CONFIG_TABLE,
    array(
      'primary' => array('param'),
      'update' => array('value')
      ),
    array(
      array(
        'param' => 'upload_form_thumb_square',
        'value' => $conf['upload_form_thumb_square'] ? 'true':'false'
        )
      )
    );
}

// Template init
$template->assign('SQUARE', $conf['upload_form_thumb_square']);

// Add prefilter
$template->set_prefilter('photos_add', 'add_square_option');

function add_square_option($content, $smarty)
{
  $search = '<legend>{\'Thumbnail\'|@translate}</legend>

    <table>';

  $replacement = '
{html_head}
{literal}
<script type="text/javascript">
jQuery().ready(function(){
  jQuery("input[name^=\'thumb_max\']").keyup(function(){
    if(jQuery("#square").attr("checked")){
      if (this.name == "thumb_maxwidth"){
        jQuery("input[name=\'thumb_maxheight\']").attr("value", this.value);
      }else{
        jQuery("input[name=\'thumb_maxwidth\']").attr("value", this.value);
      }
    }
  });
  jQuery("#square").click(function(){
    if (this.checked)
      jQuery("input[name^=\'thumb_maxheight\']").attr("value", jQuery("input[name^=\'thumb_maxwidth\']").attr("value"));
  });
});
</script>
{/literal}
{/html_head}

<legend>{\'Thumbnail\'|@translate}</legend>

    <table>
      <tr>
        <th>{\'Square Thumbnails\'|@translate}</th>
	      <td><input type="checkbox" name="square" id="square" {if $SQUARE}checked="checked"{/if}></td>
      </tr>';

  return str_replace($search, $replacement, $content);
}

?>